## 作用
自动生成初始化代码

管理添加路由(目前只有添加),自动生成代码


## 目的
规范代码与目录结构,统一代码风格(eslint),规范路由,简化工作流程

## 新建项目
执行wdng init命令,填写信息后会新建项目

```
wdng init
  
> prompt: 请输入项目名称(传空在当前目录创建项目):  item
> prompt: 项目描述:  商品管理
> prompt: 作者:  subzero274
```

## 新建路由
```
wdng newpage
  
> prompt: 项目名称:  item
> prompt: 一级路由:  manage
> prompt: 二级路由:  list
```

## 项目运行
开发命令:
<table>
    <tr>
        <th>环境命令</th>
        <th>作用</th>
    </tr>
    <tr>
        <th>npm run server</th>
        <th>不产生具体文件,构建产物放在内存中</th>
    </tr>
    <tr>
        <th>npm run build</th>
        <th>构建产物放在build目录</th>
    </tr>
    <tr>
        <th>npm run daily</th>
        <th>构建日常环境</th>
    </tr>
    <tr>
        <th>npm run pre</th>
        <th>构建预发环境</th>
    </tr>
    <tr>
        <th>npm run prod</th>
        <th>构建线上环境</th>
    </tr>
</table>